Archive for the ‘Debian 9 Stretch’ Category

Adobe Flashplayer unter Debian installieren

04.02.2018

Meine uralte Anleitung „Den Adobe Flashplayer unter Debian installieren“ funktioniert nicht mehr, weil das entscheidenende Paket flashplugin-nonfree nicht mehr vorhanden ist. Auch mein Workaround
Flash-Update meldet: Fehler 404 Not Found funktioniert seit einiger Zeit nicht mehr.

Aber auch wenn Flash ab 2020 Geschichte sein wird, gibt es aktuell noch immer Internet-Seiten, die nur mit Flash funktionieren.

Hier nun die für den Firefox unter Debian 9 getestete Lösung:

Zunächst binden wir die Quellen von deb-multimedia ein.

öffnen der sources.list mit root-Rechten, z.B. mit:

$ kdesudo kate /etc/apt/sources.list &
oder
$ sudo nano /etc/apt/sources.list

folgende Zeile (unten) hinzufügen:
deb https://www.deb-multimedia.org/ stretch main non-free

Quellen neu einlesen mit:
$ sudo apt update

Installieren des Schlüssels
$ sudo apt install deb-multimedia-keyring

aktualisieren aller Pakete
$ sudo apt dist-upgrade

nun können die Flash-Pakete installiert werden:

$ sudo apt install flashplayer-chromium flashplayer-mozilla ttf-dejavu ttf-xfree86-nonfree kde-config-flash-player

Wer entweder Chromium oder Firefox nicht installiert hat, sollte entweder zuvor die Browser installieren oder die entsprechenden Pakete aus der Befehlszeile entfernen.

Ich empfehle weiterhin, Flash im Firefox zu blocken, da Flash viele Sicherheitslücken aufweist. Nur wenn eine Seite unbedingt angesehen werden soll und wichtige Funktionen ohne Flash nicht funktionieren, würde ich dieses Plugin temporär freigeben.

Mit dem folgenden Befehl können die Einstellungen von Flash angepaßt werden:
$ kcmshell4 kcm_adobe_flash_player


Werbeanzeigen

„Skype for Linux“ speichert die Unterhaltungen nicht mehr lokal

13.01.2018

Noch ein Nachteil der neuen Version von Skype.

Skype 4.x hat die Gesprächsprotokolle unter ~/.Skype/SKYPEUSERNAME/main.db im SQL-Format lokal auf der Festplatte gespeichert. Es gab die Möglichkeit, mit Hilfe des „DB Browser for SQLite“ in diese Datei hineinzusehen. (Debian-Paket sqlitebrowser)

Seit „skypeforlinux“ werden alle Nachrichten nur noch in der Cloud bei Microsoft gespeichert und für 2 Jahre vorgehalten. siehe Quelle

Hinzu kommt, dass ich bislang keine vernünftige Methode gefunden habe, Konversationen zu exportieren und zu speichern. – Ein wirklich scheußliches Tool.


Skype for Linux Update von 8.11.0.4 auf 8.13.0.2

09.01.2018

Da ich Skype sowieso nur noch kurzfristig starte, um Nachrichten zu checken, zu beantworten und dann das Tool schnell wieder schließe um RAM frei zu machen, ist es mir auch so ziemlich egal geworden was Microsoft mit diesem Tool noch so alles anstellt, um es unbenutzbar zu machen. Also können auch ruhig die neuesten Versionen auf dem Computer installiert werden. Wenn gar nix mehr geht, wir es deinstalliert und fertig. Wenn die Frustration erst einmal gewichen ist, geht es in die Phase des Desinteresses.

So erschien heute die Version 8.13.0.2. Es mußten 72,3 MB heruntergeladen werden und es werden nach der Installation nochmals 17,3 MB mehr auf der Festplatte verschwendet.

Anschließend hat man ziemlich genau die selben Funktionen wie zuvor, aber ein noch schwergewichtigeres Tool mit einer neuen Versionsnummer. Echt schick.


Swap ein- und ausschalten unter Debian 9

24.12.2017

bitte auf das Bild klicken, um das Video zu starten:

Ich zeige hier wie man im laufenden Betrieb unter Debian 9 den Swap ein- und ausschalten kann. Das Tool rechts heißt „Gnome System Monitor“, das Tool links ist Gparted.

Um den Swap dauerhaft zu ändern muß die /etc/fstab editiert werden. Aber darum ging es mir bei dieser Vorführung nicht.

Übrigens noch ein paar technische Infos zu dem Video:

Video mit recordmydesktop als .ogv am 04.12.17 aufgezeichnet
Audio mit dem Moto G5 als .ogg am 18.12.17 aufgezeichnet (zu dem Smartphone wird es von mir in Zukunft sicher noch einiges an Infos geben)

Video mit vlc zu .mp4 gewandelt
Audio mit WinFF zu .wav gewandelt

Beides mit avidemux zu einer mp4 gewandelt. Hierbei das Video nur kopiert und das Audio in AAC (Faac) gewandelt und hineingemuxt.


Debian 9 Stretch Update auf 9.3

10.12.2017

17.11.17 07:38 Version 9.3 ist in Arbeit

Ein Update von Debian 9 Stretch (stable) auf 9.3 wird möglicherweise am 09.12.17 erscheinen.

Siehe Diskussion Scheduling 9.3


19.11.17 16:13 Ankündigung

Ein Update von Debian 9 Stretch (stable) auf 9.3 ist für Samstag, den 09.12.17 geplant.

Diese Info kann man in den Mailinglisten finden:
Upcoming stable point release
„The next point release for „stretch“ (9.3) is scheduled for Saturday, December 9th. Processing of new uploads into stretch-proposed-updates will be frozen during the preceding weekend.“


05.12.17 16:25 Details zum Update

[SUA 132-1] Upcoming Debian 9 Update (9.3)


09.12.17 11:38 Das angekündigte Update ist bald verfügbar

09.12.17 11:38 Adam D. Barratt

The archive side of the point release has now finished, and an extra mirror update is in progress, so packages should start appearing on mirrors in the next couple of hours or so.


09.12.17 Offizielle Nachricht

Debian 9 aktualisiert: 9.3 veröffentlicht


10.12.17 14:15 Ein paar inoffizielle Hilfen von mir

Die aktuell installierte Version kann man abfragen mit dem Befehl:
$ cat /etc/debian_version
9.2

Ein Update ist in jedem Fall empfehlenswert, da hiermit viele Sicherheitsupdates eingespielt werden. Da sich Debian 9 Stretch im Status „stable“ befindet, sollten keine Schwierigkeiten zu erwarten sein.

einlesen der Quellen mit
# apt-get update

installieren der Updates mit
# apt-get dist-upgrade

und optional noch die Platte säubern mit
# apt-get autoclean
# apt-get autoremove

$ cat /etc/debian_version
9.3

Wer sudo aktiviert hat, kann auch im Ubuntu-Stil alle Befehle in einer Zeile starten:
$ lsb_release -a && sudo apt-get update && sudo apt-get dist-upgrade && sudo apt-get autoclean && sudo apt-get autoremove && lsb_release -a

Distributor ID: Debian
Description: Debian GNU/Linux 9.3 (stretch)
Release: 9.3
Codename: stretch

Alle apt-get-Befehle lassen sich jetzt auch mit einem apt ausführen. Mit diesem neuen Befehl wird z.B. zusätzlich ein Fortschrittsbalken angezeigt. Insgesamt sollen die apt-Alternativen ein wenig interaktiver zu handhaben sein als apt-get.


Skype 4.3.0.37 kann nicht mehr gestartet werden

24.11.2017

Während gestern (22.11.17) in China Skype für Smartphones aus den App-Stores geflogen ist, kann man sich ungefähr zeitgleich (23.11.17) auch mit Linux nicht mehr mit Skype einloggen. Statt dessen wird das Tool einfach kommentarlos beendet. Ganz so, als hätte das Tool einen Bug. (Mit wiederhergestellten Profildaten auf dem Stand von gestern und einem Start von Skype ohne Internet kann man allerdings noch das Tool starten.) Und – wie bereits aus der Vergangenheit bekannt – kann man nicht einmal mehr die Chat-Historie ansehen oder die Kontaktdaten sichern. Skype wird also offensichtlich vom Server aus beendet. Das ist halt die Art wie Skype mit seinen Kunden – und ganz besonders mit den Linux-Nutzern – umgeht.

Somit kommt die Abschaltung zwar 5 Monate später als erwartet, aber leider genau so sinnlos und brutal wie angekündigt. Computer und Betriebssysteme mit 32 Bit werden nicht mehr unterstützt, alte Skype-Versionen auch nicht und China ist vom Netz. Eine klassische lose-lose-Situation für ein Tool, mit dem jeder mit jedem weltweit über möglichst jede Hardware kommnuzieren können sollte. Und ein „Update“ sollte nicht bedeuten, dass vieles nicht mehr geht, sondern dass vieles besser läuft. „Up“ kommt von „hoch“. Und damit ist nicht allein die belegte Datenmenge im RAM oder auf der Platte gemeint, sondern vor allem die Funktionalität.

Die skype-debian_4.3.0.37-1_i386.deb hatte damals übrigens 19,2 MB, während die aktuelle skypeforlinux-64.deb (interne Version in skypeforlinux-64.deb/usr/share/skypeforlinux/version v1.8.1, aber bei der Installation wird 8.11.0.4 angezeigt) auf 69,1 MB kommt – beides komprimiert. Stellt sich die Frage, welche supertollen Funktionen sich in den zusätzlichen ca. 50 MB verstecken mögen…

Wer Wert auf seine Historie und die Kontaktliste legt, muß noch einmal Skype starten können. Also zunächst vom Internet trennen, dann den Ordner ~/.Skype aus dem letzten Backup wiederherstellen und Skype starten.

Nach dem Sichern der Chats kann der PC wieder mit dem Internet verbunden werden. Skype beendet sich dann von selber und läßt sich nicht mehr starten. Dann geht’s ans Deinstallieren der alten Version mit
$ sudo apt remove skype
und nach dem Download der aktuellen skypeforlinux-64.deb kann installiert werden mit
$ sudo dpkg --install skypeforlinux-64.deb

Nach dem Login kann man übrigens alle alten Kontakte wieder sehen, die man vor Jahren aus der Kontaktliste entfernt hat. Wie „schön“ dass nichts wegkommt… (Die Chat-Historie dieser alten Kontakte konnte ich allerdings nicht öffnen.)

Was noch alternativ bleibt ist ein Login mit dem Browser via web.skype.com. Das könnte auch mit einem 32-Bit-PC noch klappen. Es ist allerdings wesentlich umständlicher und wird sicher nur von wenigen genutzt werden.

Und hier noch ein Blick auf den RAM:


imagemagick bricht Konvertierung zu pdf ab

13.10.2017

Problem:

Wenn man viele jpg-Bilder in eine pdf konvertieren möchte, kann es vorkommen dass das Programm mit einer Fehlermdeldung abbricht, z.B.:

$ convert *.jpg Ausgabedatei.pdf
convert-im6.q16: DistributedPixelCache '127.0.0.1' @ error/distribute-cache.c/ConnectPixelCacheServer/244.
convert-im6.q16: cache resources exhausted `043.jpg' @ error/cache.c/OpenPixelCache/3945.
...
convert-im6.q16: too many exceptions (exception processing suspended).

In meinem Fall war also nach 42 Seiten der Cache-Speicher erschöpft.

Lösung:

Wir öffnen die Datei policy.xml mit root-Rechten, z.B.:
$ kdesudo kate /etc/ImageMagick-6/policy.xml

Wir prüfen zunächst wie viel RAM verfügbar ist und wie viel Speicher in /tmp frei ist. Dann geben wir mehr Speicher frei, z.B.:

RAM: 256MiB durch 1000MiB ersetzen in dieser Zeile:
<policy domain=“resource“ name=“memory“ value=“1000MiB“/>

/tmp: 1000MiB durch 5GiB ersetzen in dieser Zeile:
<policy domain=“resource“ name=“disk“ value=“5GiB“/>

Wenn der RAM-Bereich vollgeschrieben ist, greift das Programm auf den Ordner /tmp zu und schreibt dort viele recht große Dateien hinein, die mit magick- anfangen.

Wer mehr über die Parameter wissen möchte, kann hier weiter lesen.


Messenger Wire mit Schadsoftware?

09.10.2017

25.09.17 01:26

Bei einem Scan mit clamscan wird reproduzierbar, also wiederholend, eine Schadsoftware gefunden:

$ clamscan -i -r ~/.config/Wire/Cache
~/.config/Wire/Cache/f_000004: Html.Exploit.CVE_2017_8738-6336184-2 FOUND

----------- SCAN SUMMARY -----------
Known viruses: 6303734
Engine version: 0.99.2
Scanned directories: 1
Scanned files: 23
Infected files: 1
Data scanned: 23.86 MB
Data read: 8.10 MB (ratio 2.95:1)
Time: 91.578 sec (1 m 31 s)

Wire ist ein Messenger, der ähnliche Funktionen wie Skype hat. Er kann entweder im Browser gestartet werden oder lokal installiert werden. Meine Version ist lokal installiert und speichert nach dem Start Datei(en) im Cache-Ordner, die vom Virenscanner als Schad-Software erkannt werden.

über meine installierte Version

Homepage des Messengers: wire.com


Man kann den Messenger auch ohne Installation im Browser starten: app.wire.com

Ich empfehle nach Beendigung des Chats via wire, den Browser-Cache zu löschen. Beim Firefox geht das z.B. mit der Tastenkombination Strg-Shift-Entf.


Installation unter Debian: github.com

Wer dem Messenger nun nicht mehr traut, der kann ihn wie folgt löschen. Das Paket hört auf den Namen wire-desktop. Paket und Konfiguration entfernen:
$ sudo apt-get purge wire-desktop

Außerdem sollten die Quellen entfernt werden, die in der Datei wire-desktop.list gespeichert sind:
$ sudo rm /etc/apt/sources.list.d/wire-desktop.list


09.10.17 17:40

Peter hat zu diesem Artikel einen Kommentar geschrieben. Die Virenmeldung soll ein Fehlalarm sein. Ich kann nicht beurteilen ob das so stimmt oder nicht.

Bitte lest seinen Kommentar für weitere Infos.


Debian 9 Stretch Update auf 9.2

08.10.2017

17.09.17 18:25 Version 9.2 ist in Arbeit

Ein Update von Debian 9 Stretch (stable) auf 9.2 wird möglicherweise am 07.10.17 erscheinen.

Siehe Diskussion Scheduling 9.2


23.09.17 17:28 Ankündigung

Ein Update von Debian 9 Stretch (stable) auf 9.2 ist für Samstag, den 07.10.17 geplant.

Diese Info kann man in den Mailinglisten finden:
Upcoming stable point release (9.2)
„The second point release for „stretch“ (9.2) is scheduled for Saturday, October 7th. Processing of new uploads into stretch-proposed-updates will be frozen during the preceding weekend.“


02.10.17 22:43 Details zum Update

[SUA 127-1] Upcoming Debian 9 Update (9.2)


07.10.17 12:29 Das angekündigte Update ist bald verfügbar

07.10.17 12:29 Adam D. Barratt

The archive side of the point release has now finished, and an extra mirror update is in progress, so packages should start appearing on mirrors in the next couple of hours or so.


07.10.17 17:10 Offizielle Nachricht

Debian 9 aktualisiert: 9.2 veröffentlicht


07.10.17 18:30 Ein paar inoffizielle Hilfen von mir

Die aktuell installierte Version kann man abfragen mit dem Befehl:
$ cat /etc/debian_version
9.1

Ein Update ist in jedem Fall empfehlenswert, da hiermit viele Sicherheitsupdates eingespielt werden. Da sich Debian 9 Stretch im Status „stable“ befindet, sollten keine Schwierigkeiten zu erwarten sein.

einlesen der Quellen mit
# apt-get update

installieren der Updates mit
# apt-get dist-upgrade

und optional noch die Platte säubern mit
# apt-get autoclean
# apt-get autoremove

$ cat /etc/debian_version
9.2

Wer sudo aktiviert hat, kann auch im Ubuntu-Stil alle Befehle in einer Zeile starten:
$ lsb_release -a && sudo apt-get update && sudo apt-get dist-upgrade && sudo apt-get autoclean && sudo apt-get autoremove && lsb_release -a

Distributor ID: Debian
Description: Debian GNU/Linux 9.2 (stretch)
Release: 9.2
Codename: stretch

Alle apt-get-Befehle lassen sich jetzt auch mit einem apt ausführen. Mit diesem neuen Befehl erhält man z.B. zusätzlich einen Fortschrittsbalken angezeigt. Insgesamt sollen die apt-Alternativen ein wenig interaktiver zu handhaben sein als apt-get.

Aktuell kann ich meine Installation noch nicht auf 9.2 heben. Offensichtlich laufen noch die Kopiervorgänge zu den Mirrors. Spätestens morgen sollten die Pakete aber verfügbar sein. So ist zumindest meine Erfahrung.


07.10.17 23:15 Nun hat’s geklappt

Nun hat ein apt update bei mir ein neues Paket namens base-files gefunden, das ich auch aktualisieren konnte. In diesem kleinen Paket befindet sich auch die Text-Datei /etc/debian_version mit dem einzigen Inhalt „9.2“. Offensichtlich haben meine täglichen Updates und mein Eintrag der stretch-proposed-updates in /etc/apt/sources.list dazu geführt, dass bereits alle Pakete aktuell waren und nur noch die Versions-Nummer aktualisiert werden mußte. Der Versionssprung von 9.1 nach 9.2 bestand bei mir also aus 67,2 kB an herunterzuladenden Daten. :-)

zur Info meine Einträge in der /etc/apt/sources.list mit direktem Debian-Bezug:

deb https://deb.debian.org/debian/ stretch main contrib non-free
deb https://deb.debian.org/debian/ stretch-updates main contrib non-free
deb https://deb.debian.org/debian/ stretch-proposed-updates main contrib non-free
deb https://deb.debian.org/debian/ stretch-backports main


08.10.17 10:45 Die Bestätigung

Kaum habe ich den letzten Teil gestern gepostet, da kam eine Mail von Adam D. Barratt aus den Debian-Listen, die genau das bestätigt was ich geschrieben habe:

[SUA 128-1] Updated base-files version

Package : base-files
Version : 9.9+deb9u2
Importance : medium

base-files contains the basic filesystem hierarchy of a Debian system, together with several important miscellaneous files, such as /etc/debian_version and the text of several common licenses in use on Debian systems.

As part of a point release, the content of /etc/debian_version is updated to reflect the new minor version corresponding to the point release. Unfortunately, for the recent point release of stretch (9.2), such an update was not included. This update incorporates the change, bringing the file back in line with the current version of stretch.

If you use stretch and have updated to 9.2, we recommend that you install this update…

Da war ich wohl so ziemlich der erste, der das veröffentlicht hat. Ich muß schon sagen, dass mich das ein wenig stolz macht. ;-)


Debian 9 apt-get update meldet Fehler

27.09.2017

Problem:

$ sudo apt-get update

E: The repository 'https://ftp.de.debian.org/debian stretch Release' does no longer have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

Lösung:

Quellen öffnen z.B. mit
$ kdesudo kate /etc/apt/sources.list

Darin ersetzen wir
https://ftp.de.debian.org/debian
durch
https://deb.debian.org/debian/